function errout = berechneFehler(param)
    err = 0;

    PWMFAKTOR = param(1);
    DAMP      = param(2);

    //Geradeausfahrt 1 testen:

    PWM_L = 799;
    PWM_R = 799;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err1 = abs(y(4,1000) - 0.314);
    err = err + err1*err1;

    //Geradeausfahrt 2 testen:

    PWM_L = 600;
    PWM_R = 600;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err2 = abs(y(4,1000) - 0.252);
    err = err + err2*err2;

    //Geradeausfahrt 3 testen:

    PWM_L = 400;
    PWM_R = 400;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err3 = abs(y(4,1000) - 0.157);
    err = err + err3*err3;

    //Auf der Stelle drehen 1 testen:
    PWM_L = -799;
    PWM_R = 799;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err4 = abs(abs(y(6,1000)) - 2.9);
    err = err + err4*err4;

    //Auf der Stelle drehen 2 testen:
    PWM_L = -600;
    PWM_R = 600;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err5 = abs(abs(y(6,1000)) - 2.26);
    err = err + err5*err5;


    errout = sqrt(err);
endfunction

function zeigeFehler(param)
    err = 0;

    PWMFAKTOR = param(1);
    DAMP      = param(2);

    //Geradeausfahrt 1 testen:

    PWM_L = 799;
    PWM_R = 799;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err1 = abs(y(4,1000) - 0.314);
    disp(err1);
    err = err + err1*err1;

    //Geradeausfahrt 2 testen:

    PWM_L = 600;
    PWM_R = 600;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err2 = abs(y(4,1000) - 0.252);
    disp(err2);
    err = err + err2*err2;

    //Geradeausfahrt 3 testen:

    PWM_L = 400;
    PWM_R = 400;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err3 = abs(y(4,1000) - 0.157);
    disp(err3);
    err = err + err3*err3;

    //Auf der Stelle drehen 1 testen:
    PWM_L = -799;
    PWM_R = 799;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err4 = abs(abs(y(6,1000)) - 2.9);
    disp(err4);
    err = err + err4*err4;

    //Auf der Stelle drehen 2 testen:
    PWM_L = -600;
    PWM_R = 600;

    t = 0:0.01:10;
    y0 = [0,0,0,0,0,0]';
    t0 = 0;
    y  = ode(y0,t0,t,rechteSeite);    

    err5 = abs(abs(y(6,1000)) - 2.26);
    disp(err5);
    err = err + err5*err5;


    errout = sqrt(err);

    disp(errout);

endfunction

