//Definition aller wichtigen Parameter des Sumo-Modells:

//Punkte:
PS=[0;0];

PA=[ 0.0565  ;  -0.054];
PB=[ 0.0565  ;   0.054];
PC=[-0.0565 ;   0.054];
PD=[-0.0565 ;  -0.054];

PE=[ 0.1065  ; -0.085];
PF=[ 0.1065  ;  0.085];
PG=[-0.1325 ;  0.085];
PH=[-0.1325 ; -0.085];

//Masse des Fahrzeugs:
m = 0.871; //kg

//Masseträgheitsmoment:
//Korpus als homogen angenommen,
//Stoßstange als masselos:

J = (1/12)*m*(0.108*0.108 + 0.113*0.113); //kg*m/s**2

//Verstärkungsfaktor, mit dem die pwm-Werte multipliziert werden,
//um die Antriebskraft zu erhalten:
PWMFAKTOR = 0.007848; //gesuchter Parameter. Dies ist der Startwert.

//Linearfaktor für den Dämpfungsterm in jedem Punkt A,B,C,D:
DAMP      = 19.965;  //gesuchter Parameter. Dies ist der Startwert.

PWM_L = 799;
PWM_R = 799;



